const bearerTokenRegex = /^Bearer (\S*)$/;
export function parseBearerToken(authorizationHeader) {
    if (!authorizationHeader) {
        return undefined;
    }
    const match = authorizationHeader.match(bearerTokenRegex);
    if (!match || match.length !== 2) {
        return undefined;
    }
    return match[1];
}
export function parseQueryToken(query) {
    if (!query) {
        return undefined;
    }
    const params = new URLSearchParams(query);
    return params.get('authToken') ?? undefined;
}
//# sourceMappingURL=index.js.map