import bcrypt from 'bcrypt';
import { ApplicationDataSource } from '../database/datasource.js';
import { UserModel } from '../database/model.js';
export class LocalAuthenticationSource {
    config;
    constructor(config) {
        this.config = config;
    }
    async checkCredentials(username, password) {
        const user = await ApplicationDataSource.manager.findOneBy(UserModel, {
            username: username,
            type: this.config.name,
        });
        if (user === null) {
            return { success: false };
        }
        const passwordCorrect = user.password && (await bcrypt.compare(password, user.password));
        if (!passwordCorrect) {
            return { success: false };
        }
        return { success: true, needsProvisioning: false, user: user };
    }
}
//# sourceMappingURL=local.js.map