var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Column, CreateDateColumn, Entity, Index, ManyToOne, OneToMany, PrimaryColumn, PrimaryGeneratedColumn, } from 'typeorm';
let UserModel = class UserModel {
    uuid;
    username;
    type;
    isAdmin;
    password;
    createdOn;
    lastLogin;
    tokens;
};
__decorate([
    PrimaryGeneratedColumn('uuid'),
    __metadata("design:type", String)
], UserModel.prototype, "uuid", void 0);
__decorate([
    Index({ unique: true }),
    Column(),
    __metadata("design:type", String)
], UserModel.prototype, "username", void 0);
__decorate([
    Column(),
    __metadata("design:type", String)
], UserModel.prototype, "type", void 0);
__decorate([
    Column(),
    __metadata("design:type", Boolean)
], UserModel.prototype, "isAdmin", void 0);
__decorate([
    Column({ nullable: true }),
    __metadata("design:type", String)
], UserModel.prototype, "password", void 0);
__decorate([
    CreateDateColumn(),
    __metadata("design:type", String)
], UserModel.prototype, "createdOn", void 0);
__decorate([
    Column('datetime', { nullable: true }),
    __metadata("design:type", String)
], UserModel.prototype, "lastLogin", void 0);
__decorate([
    OneToMany(() => TokenModel, token => token.user),
    __metadata("design:type", Promise)
], UserModel.prototype, "tokens", void 0);
UserModel = __decorate([
    Entity()
], UserModel);
export { UserModel };
let TokenModel = class TokenModel {
    token;
    expiresOn;
    claims;
    user;
};
__decorate([
    PrimaryColumn(),
    __metadata("design:type", String)
], TokenModel.prototype, "token", void 0);
__decorate([
    Column('datetime', { nullable: true }),
    __metadata("design:type", String)
], TokenModel.prototype, "expiresOn", void 0);
__decorate([
    Column('simple-json', { nullable: true }),
    __metadata("design:type", Object)
], TokenModel.prototype, "claims", void 0);
__decorate([
    ManyToOne(() => UserModel, user => user.tokens, {
        onDelete: 'CASCADE',
    }),
    __metadata("design:type", UserModel)
], TokenModel.prototype, "user", void 0);
TokenModel = __decorate([
    Entity()
], TokenModel);
export { TokenModel };
export const Entities = [UserModel, TokenModel];
//# sourceMappingURL=model.js.map