/**
 * This file was automatically generated by openapi-codegeneration.
 * DO NOT MODIFY IT BY HAND. Instead, modify the source OpenAPI file,
 * and run openapi-codegeneration to regenerate this file.
 */
import express from "express";
import operations from "../operations/index.js";
import { ValidationError } from "./types.js";
import { validateGetAuthInput, validateGetAuthOutput, validatePostLoginInput, validatePostLoginOutput, validatePostLogoutInput, validatePostLogoutOutput, validateGetUsersInput, validateGetUsersOutput, validatePostUsersInput, validatePostUsersOutput, validateGetUsersByUserIdInput, validateGetUsersByUserIdOutput, validatePatchUsersByUserIdInput, validatePatchUsersByUserIdOutput, validateDeleteUsersByUserIdInput, validateDeleteUsersByUserIdOutput, validateGetIdentityInput, validateGetIdentityOutput, validatePatchIdentityInput, validatePatchIdentityOutput, validatePostTokenInput, validatePostTokenOutput } from "./requestValidation.js";
export default function router() {
    const router = express.Router();
    router.get("/auth", async (req, res, next) => {
        const parameters = {
            "Authorization": req.get("Authorization"),
            "X-Real-IP": req.get("X-Real-IP"),
            "X-Forwarded-Proto": req.get("X-Forwarded-Proto")
        };
        try {
            if (!validateGetAuthInput(parameters)) {
                throw new ValidationError("Request validation failed", validateGetAuthInput.errors, 400);
            }
            const result = await operations.getAuth(req, parameters);
            if (!validateGetAuthOutput(result)) {
                throw new ValidationError("Response validation failed", validateGetAuthOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.post("/login", async (req, res, next) => {
        const body = req.body;
        try {
            if (!validatePostLoginInput(body)) {
                throw new ValidationError("Request validation failed", validatePostLoginInput.errors, 400);
            }
            const result = await operations.postLogin(req, body);
            if (!validatePostLoginOutput(result)) {
                throw new ValidationError("Response validation failed", validatePostLoginOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.post("/logout", async (req, res, next) => {
        const body = req.body;
        try {
            if (!validatePostLogoutInput(body)) {
                throw new ValidationError("Request validation failed", validatePostLogoutInput.errors, 400);
            }
            const result = await operations.postLogout(req, body);
            if (!validatePostLogoutOutput(result)) {
                throw new ValidationError("Response validation failed", validatePostLogoutOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.get("/users", async (req, res, next) => {
        const parameters = {
            "username": req.query["username"]
        };
        try {
            if (!validateGetUsersInput(parameters)) {
                throw new ValidationError("Request validation failed", validateGetUsersInput.errors, 400);
            }
            const result = await operations.getUsers(req, parameters);
            if (!validateGetUsersOutput(result)) {
                throw new ValidationError("Response validation failed", validateGetUsersOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.post("/users", async (req, res, next) => {
        const body = req.body;
        try {
            if (!validatePostUsersInput(body)) {
                throw new ValidationError("Request validation failed", validatePostUsersInput.errors, 400);
            }
            const result = await operations.postUsers(req, body);
            if (!validatePostUsersOutput(result)) {
                throw new ValidationError("Response validation failed", validatePostUsersOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.get("/users/:user_id", async (req, res, next) => {
        const parameters = {
            "user_id": req.params["user_id"]
        };
        try {
            if (!validateGetUsersByUserIdInput(parameters)) {
                throw new ValidationError("Request validation failed", validateGetUsersByUserIdInput.errors, 400);
            }
            const result = await operations.getUsersByUserId(req, parameters);
            if (!validateGetUsersByUserIdOutput(result)) {
                throw new ValidationError("Response validation failed", validateGetUsersByUserIdOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.patch("/users/:user_id", async (req, res, next) => {
        const parameters = {
            "user_id": req.params["user_id"]
        };
        const body = req.body;
        try {
            if (!validatePatchUsersByUserIdInput(parameters, body)) {
                throw new ValidationError("Request validation failed", validatePatchUsersByUserIdInput.errors, 400);
            }
            const result = await operations.patchUsersByUserId(req, parameters, body);
            if (!validatePatchUsersByUserIdOutput(result)) {
                throw new ValidationError("Response validation failed", validatePatchUsersByUserIdOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.delete("/users/:user_id", async (req, res, next) => {
        const parameters = {
            "user_id": req.params["user_id"]
        };
        try {
            if (!validateDeleteUsersByUserIdInput(parameters)) {
                throw new ValidationError("Request validation failed", validateDeleteUsersByUserIdInput.errors, 400);
            }
            const result = await operations.deleteUsersByUserId(req, parameters);
            if (!validateDeleteUsersByUserIdOutput(result)) {
                throw new ValidationError("Response validation failed", validateDeleteUsersByUserIdOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.get("/identity", async (req, res, next) => {
        try {
            if (!validateGetIdentityInput()) {
                throw new ValidationError("Request validation failed", validateGetIdentityInput.errors, 400);
            }
            const result = await operations.getIdentity(req);
            if (!validateGetIdentityOutput(result)) {
                throw new ValidationError("Response validation failed", validateGetIdentityOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.patch("/identity", async (req, res, next) => {
        const body = req.body;
        try {
            if (!validatePatchIdentityInput(body)) {
                throw new ValidationError("Request validation failed", validatePatchIdentityInput.errors, 400);
            }
            const result = await operations.patchIdentity(req, body);
            if (!validatePatchIdentityOutput(result)) {
                throw new ValidationError("Response validation failed", validatePatchIdentityOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.post("/token", async (req, res, next) => {
        const body = req.body;
        try {
            if (!validatePostTokenInput(body)) {
                throw new ValidationError("Request validation failed", validatePostTokenInput.errors, 400);
            }
            const result = await operations.postToken(req, body);
            if (!validatePostTokenOutput(result)) {
                throw new ValidationError("Response validation failed", validatePostTokenOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    return router;
}
//# sourceMappingURL=routes.js.map